# Allow a meter to run past its included amount

`PUT /usage/overage` · Rivier · usage

Allow a meter to run past its included amount.

- Scope: usage:admin
- Graphql: Mutation.usageOverageSet
- Sdk: usage.overage.set
- Cli: usage overage set

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "meter": {
      "type": "string",
      "minLength": 1,
      "maxLength": 60
    },
    "amount": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "meter",
    "amount"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/usage/overage' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "meter": "string",
  "amount": 0
}'
```
